## Chapter 8: Support Scripts

Note: inlcude scripts with \$(scriptname) into your prompt!

### BS-NG-Parse-Echo

This script will "parse" the Colorcodes, to make them useable with "echo"

echo -e $usercolor hello | See - doesn't work correctly
echo -e $(bs-ng-parse-echo $usercolor) hello | See - this does work now

### BS-NG-Profiler

This script will import or export your current configuration

bs-ng-profiler | export |  | Save your configuation in $HOME/bashstyle/profile-$DATE
| import | a saved profile | Import an already saved profile

### FDNL

This script will show how many files/folders are in the current directory

fdnl | +h | Count files, folders (and hidden ones)
| -h | Count files, folders (no hidden ones)
| +d | Count folders (no hidden ones)
| +hd | Count folders (and hidden ones)
| +f | Count files (no hidden ones)
| +hf | Count files (and hidden ones)

### Proc-Count

This script counts all running processes

proccount | no options

### Show-Battery-Load

This script will show your lappy's battery load, using APM

showbatteryload | no options

### Show-CPU-Load

This script will show your CPU Load

showcpuload | no options

### Show-Load

This script will show your system load

showload |  | or | 1 | Load average for 1 minute
| 2 | or | 10 | Load average for 10 minutes
| 3 | or | 15 | Load average for 15 minutes

### Show-MEM

This script will show your memory load

showmem | --used | Shows used memory in MB
| --used-percent | Shows used memory in Percent
| --free | Shows free memory in MB
| --free-percent | Shows free memory in Percent

### Show-Size

This script will show the size of all files in the current directory

showsize | no options

### Show-Space

This script will show your disk space

showspace | --used | mountpoint | Shows the used space in GB
| --used-percent | mountpoint | Shows the used space in Percent
| --free | mountpoint | Shows the free space in GB
| --free-percent | mountpoint | Shows the free space in Percent

### Show-TTY

This scripts shows the current TTY (Terminal Device)

showtty | no options

### Show-Uptime

This script will show your system's uptime

showuptime | no options

### TruncPWD

This script will output a modified version of $PWD

truncpwd | no options

### Show-IP

This script will show your external ip address

showip |  | show external ip address
| <interface> | show external ip address of <interface>

### Man 2 PDF

This script will convert a manpage to a pdf file

man2pdf <manpage> | convert <manpage>to a pdf

### Sys-Info

This script will show serveral system informations

sysinfo | --cpu | Display CPU Model and Frequency
| --kernel | Display Kernel Release, Version and Machine
| --memory | Display Total, Free and Used RAM
| --partitions | Display Major, Minor, Blocks and Node for all recognized paritions
| --pci | Display Infos about all PCI Devices (and their kernel-module)
| --usb | Display Infos about all USB Devices (and their kernel-module)
| --bios | Display SMBIOS/DMI Informations
| --mounts | Display all mounted devices